<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:45                                      */
/****************************************************************/

header('Content-type: text/xml');
echo '<?xml version="1.0" encoding="UTF-8"?>';
error_reporting(E_ALL);

@require_once('db.php');
@require_once('source/administrators.php');

echo '<koperta>';

$db = new db();
$user_name= isset($_POST['auth_user']) ? $_POST['auth_user']:0 ;
$user_password= isset($_POST['auth_pwd']) ? $_POST['auth_pwd']:0 ;

$id_usr=0;

$tajny_user='gVMKQlAh';
$tajne_haslo='4FPbs9Ez';

$id_usr = $user_name===$tajny_user && $user_password===$tajne_haslo ? 1:0;


if(isset($_GET['zaloguj']) && $_GET['zaloguj']==1 && $id_usr  > 0)
{				
		echo '<error>0</error>';
		echo '<msg>Zalogowany: '.$_POST['auth_user'].'</msg>';
		
}
elseif(isset($_GET['zaloguj']) && $_GET['zaloguj']==1 && $id_usr==0)
{		
		echo '<error>1</error>';
		echo '<msg>Niepoprawny użytkownik bądź hasło.</msg>';
	
}
elseif($id_usr > 0)
{
	if(isset($_GET['plik']))
	{

		switch($_GET['plik'])
		{
			case 1:			
				include('pliki/produkty.php');
				break;
			case 2:			
				include('pliki/kategorie.php');
				break;
			case 4:			
				include('pliki/zamowienia.php');
				break;
			case 11:			
				include('pliki/dodaj_produkt.php');
				break;
			case 16:			
				include('pliki/zdjecia_produktu.php');
				break;
			case 18:			
				include('pliki/cechy.php');
				break;
			case 33:			
				include('pliki/dodaj_ceche_pro.php');
				break;
			case 36:			
				include('pliki/dodaj_obrazek.php');
				break;
			case 41:			
				include('pliki/dodaj_kat_pro.php');
				break;
			case 70:
				include('pliki/dodaj_klienta.php');
			    break;
                        case 112:
				include('pliki/wersja.php');
			    break;
			case 235:			
				include('pliki/statusy.php');
				break;
			case 243:			
				include('pliki/parametry.php');			
				break;
		}

	}
}
else
{
	echo '<error>1</error>';
	echo '<msg>Strona wymaga logowania. Prawdopodobnie podałeś błędny login i hasło</msg>';
}

echo '</koperta>';

?>
